.menu-button {
  position: fixed;
  top: 8px;
  right: 20px;
  z-index: 1001;
  width: 30px;
  height: 30px;
  border: 0;
  background: transparent;
  cursor: pointer;
}

.menu-button span {
  position: absolute;
  left: 3px;
  width: 24px;
  height: 2px;
  background: #222;
  transition: 0.3s;
}

.menu-button span:nth-child(1) {
  top: 8px;
}

.menu-button span:nth-child(2) {
  top: 15px;
}

.menu-button span:nth-child(3) {
  top: 22px;
}

#menu-toggle {
  display: none;
}

#menu-toggle:checked + .menu-button span:nth-child(1) {
  top: 15px;
  transform: rotate(45deg);
  background: black;
}

#menu-toggle:checked + .menu-button span:nth-child(2) {
  opacity: 0;
  background: black;
}

#menu-toggle:checked + .menu-button span:nth-child(3) {
  top: 15px;
  transform: rotate(-45deg);
  background: black;
}

.side-menu {
  position: fixed;
  top: 0;
  right: 0;
  width: 60%;
  max-width: 280px;
  height: 100vh;
  background: #fff;
  z-index: 1000;
  padding: 86px 48px;
  transform: translateX(100%);
  transition: transform 0.35s ease;
}

#menu-toggle:checked ~ .side-menu {
  transform: translateX(0);
}

.side-menu ul {
  list-style: none;
}

.side-menu li {
  margin-bottom: 48px;
}

.side-menu a {
  color: #222;
  text-decoration: none;
  font-size: 21px;
  font-weight: 800;
  letter-spacing: -1px;
}

.side-menu a.active {
  border-bottom: 2px solid #222;
  padding-bottom: 6px;
}

/* 기본: PC에서는 숨김 */
.menu-button,
.side-menu {
  display: none;
}

/* 모바일에서만 표시 */
@media (max-width: 768px) {
  .menu-button {
    display: block;
  }

  .side-menu {
    display: block;
  }

  .top-menu-list {
    display: none;
  }


  .footer-right {
    gap: 0px;
  }
}


